/* -*- C++ -*- */

//=============================================================================
/**
 *  @file    String_Base_Const.h
 *
 *  String_Base_Const.h,v 4.2 2002/04/10 17:44:16 ossama Exp
 *
 *  @author Nanbor Wang <nanbor@cs.wustl.edu>
 */
//=============================================================================

#ifndef ACE_STRING_BASE_CONST_H
#define ACE_STRING_BASE_CONST_H

#include "ace/pre.h"

#include "ace/ACE_export.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */


/**
 * @class ACE_String_Base_Const
 *
 * @brief This class defines a constant for ACE_String_Base to
 * circumvent a bug in SunCC 6.0.
 */
class ACE_Export ACE_String_Base_Const
{
public:
  static int npos;
};

#include "ace/post.h"
#endif /* ACE_STRING_BASE_CONST_H */
